; ==============================================================================
; file: "source/system/layout.asm"
; use: to be compiled into "system/layout.sys"
; TODO: space = 32, not 0
; ==============================================================================

latin_normal:
    db   0, 0                       ; 2 bytes per char because of 16-bit unicode
    db   0, 0
    db "1", 0
    db "2", 0
    db "3", 0
    db "4", 0
    db "5", 0
    db "6", 0
    db "7", 0
    db "8", 0
    db "9", 0
    db "0", 0
    db "-", 0
    db "=", 0
    db   0, 0
    db   0, 0
    db "q", 0
    db "w", 0
    db "e", 0
    db "r", 0
    db "t", 0
    db "y", 0
    db "u", 0
    db "i", 0
    db "o", 0
    db "p", 0
    db "[", 0
    db "]", 0
    db   0, 0
    db   0, 0
    db "a", 0
    db "s", 0
    db "d", 0
    db "f", 0
    db "g", 0
    db "h", 0
    db "j", 0
    db "k", 0
    db "l", 0
    db ";", 0
    db "'", 0
    db "`", 0
    db   0, 0
    db "\", 0
    db "z", 0
    db "x", 0
    db "c", 0
    db "v", 0
    db "b", 0
    db "n", 0
    db "m", 0
    db ",", 0
    db ".", 0
    db "/", 0
    db   0, 0
    db   0, 0
    db   0, 0
    db " ", 0
    times 256 - ($ - latin_normal) db 0

latin_shift:
    db   0, 0                       ; 2 bytes per char because of 16-bit unicode
    db   0, 0
    db "!", 0
    db "@", 0
    db "#", 0
    db "$", 0
    db "%", 0
    db "^", 0
    db "&", 0
    db "*", 0
    db "(", 0
    db ")", 0
    db "_", 0
    db "+", 0
    db   0, 0
    db   0, 0
    db "Q", 0
    db "W", 0
    db "E", 0
    db "R", 0
    db "T", 0
    db "Y", 0
    db "U", 0
    db "I", 0
    db "O", 0
    db "P", 0
    db "{", 0
    db "}", 0
    db   0, 0
    db   0, 0
    db "A", 0
    db "S", 0
    db "D", 0
    db "F", 0
    db "G", 0
    db "H", 0
    db "J", 0
    db "K", 0
    db "L", 0
    db ":", 0
    db  34, 0
    db "~", 0
    db   0, 0
    db "|", 0
    db "Z", 0
    db "X", 0
    db "C", 0
    db "V", 0
    db "B", 0
    db "N", 0
    db "M", 0
    db "<", 0
    db ">", 0
    db "?", 0
    db   0, 0
    db   0, 0
    db   0, 0
    db " ", 0
    times 256 - ($ - latin_shift) db 0
