; ==============================================================================
; file: "source/variables.inc"
; use: to be included in "source/system/kernel.asm" and "source/programs/*.asm"
; ==============================================================================

display_variables:

    color_1           equ 0x00010000
    color_2           equ 0x00010004
    pixel_horiz       equ 0x00010010
    pixel_vert        equ 0x00010014
    rect_width        equ 0x00010018
    rect_height       equ 0x0001001C
    
    temp_buffer       equ 0x00300000
    font_buffer       equ 0x00200000

; ------------------------------------------------------------------------------

keyboard_variables:

    keybd_scan        equ 0x00011000
    keybd_key         equ 0x00011004
    keybd_shift       equ 0x00011008
    
    keybd_layout      equ 0x00100000

; ------------------------------------------------------------------------------

other_variables:
    
    ram_address       equ 0x00017000
    ram_address_prev  equ 0x00017020
    char_unicode      equ 0x00017004
    string_1          equ 0x00017008
    string_2          equ 0x0001700C
    number_1          equ 0x00017010
    number_2          equ 0x00017014
    lba_sector        equ 0x00017018
    sector_count      equ 0x0001701C
